## wand 0.2.0

=== DESCRIPTION ===
Package: wand
Type: Package
Title: Retrieve 'Magic' Attributes from Files and Directories
Version: 0.2.0
Date: 2016-08-14
Author: Bob Rudis (@hrbrmstr), Christos Zoulas [libmagic], Mans Rullgard [file],
  Jonathan Ong <me@jongleberry.com> [mime-db]
Maintainer: Bob Rudis <bob@rud.is>
Description: The 'libmagic' library provides functions to determine
    'MIME' type and other metadata from files through their "magic"
    attributes. This is useful when you do not wish to rely solely on
    the honesty of a user or the extension on a file name. It also
    incorporates other metadata from the mime-db database
    <https://github.com/jshttp/mime-db>.
URL: http://github.com/hrbrmstr/wand
BugReports: https://github.com/hrbrmstr/wand/issues
NeedsCompilation: yes
LazyData: true
SystemRequirements: libmagic (>= 5.14) for Unix/Linux/macOS; Rtools
        3.3+ for Windows
License: AGPL
Suggests: testthat
Depends: R (>= 3.2.0)
Imports: dplyr, purrr, rappdirs, stats, stringi, tibble, tidyr, utils,
        Rcpp
Encoding: UTF-8
LinkingTo: Rcpp
RoxygenNote: 5.0.1
Packaged: 2016-08-15 19:46:46 UTC; bob
Repository: CRAN
Date/Publication: 2016-08-16 02:08:24

## wand 0.2.3

=== debian/changelog ===
wand (0.2.3-1) unstable; urgency=low

  * New upstream release
  * Fix FTBFS w/ python3-sphinx (Closes: #697786)
  * Add git-buildpackage config, debian/gbp.conf.
  * Update github tarball link pattern in debian/watch
  * Clean up
    - Add document clean rule in debian/rules
    - Improve package description based on the document
    - Update copyright years
  * Standards-Version: 3.9.4

 -- Changwoo Ryu <cwryu@debian.org>  Sat, 26 Jan 2013 00:55:07 +0900

wand (0.2.2-2) unstable; urgency=low

  * python-wand and wand-doc suggest each other
  * Use debhelper 9
  * Add doc-base entry for wand-doc
  * Use HTML built for Devhelp
  * Replace duplicated images with symlinks

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 21 Oct 2012 03:34:02 +0900

wand (0.2.2-1) unstable; urgency=low

  * Initial release (Closes: #688897)

 -- Changwoo Ryu <cwryu@debian.org>  Tue, 02 Oct 2012 10:22:20 +0900

=== debian/control ===
Source: wand
Section: python
Priority: optional
Maintainer: Changwoo Ryu <cwryu@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               libmagickwand-dev,
               python-all (>= 2.6.6-3~),
               python-sphinx (>= 1.0.7+dfsg)
Standards-Version: 3.9.4
Homepage: https://github.com/dahlia/wand
Vcs-Git: git://git.debian.org/git/users/cwryu/wand.git
Vcs-Browser: http://git.debian.org/?p=users/cwryu/wand.git;a=summary

Package: python-wand
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
         libmagickwand5,
Provides: ${python:Provides}
Suggests: wand-doc
Description: Python interface for ImageMagick library
 Wand is a ctypes-based simple ImageMagick binding for Python. It
 doesn't cover all functionalities of MagickWand API currently.
 .
 Wand provides Pythonic and modern interfaces, good documentation,
 binding through ctypes (which works on PyPy) and installation using
 pip or easy_install.

Package: wand-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-sphinxdoc,
Suggests: python-wand
Description: Python interface for ImageMagick library - documentation
 Wand is a ctypes-based simple ImageMagick binding for Python. It
 doesn't cover all functionalities of MagickWand API currently.
 .
 Wand provides Pythonic and modern interfaces, good documentation,
 binding through ctypes (which works on PyPy) and installation using
 pip or easy_install.
 .
 This package includes documentation for Wand.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

BINPKG := $(firstword $(shell dh_listpackages))
DOCPKG := $(filter %-doc, $(shell dh_listpackages))

%:
	dh $@  --with python2

.PHONY: build_doc

override_dh_auto_build: build_doc
	dh_auto_build

override_dh_auto_clean: clean_doc
	dh_auto_clean

build_doc:
	$(MAKE) -C $(CURDIR)/docs devhelp

clean_doc:
	$(MAKE) -C $(CURDIR)/docs clean

=== debian/watch ===
version=3
https://github.com/dahlia/wand/tags .*/(\d[\d\.]+)\.tar\.gz

## wand 0.3.2

=== debian/changelog ===
wand (0.3.2-1) unstable; urgency=low

  * New upstream release
  * Add Build-Depends on python*-setuptools

 -- Changwoo Ryu <cwryu@debian.org>  Thu, 18 Jul 2013 01:35:52 +0900

wand (0.3.0-1) unstable; urgency=low

  * New upstream release
  * debian/control: update Vcs-* fields to use the canonical URIs
  * Add python3- and pypy- packages

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 23 Jun 2013 02:08:25 +0900

wand (0.2.4-1) unstable; urgency=low

  * New upstream release
  * debian/watch: Add uversionmangle for some upstream versions

 -- Changwoo Ryu <cwryu@debian.org>  Thu, 30 May 2013 12:13:12 +0900

=== debian/control ===
--- 
+++ 
@@ -4,26 +4,65 @@
 Maintainer: Changwoo Ryu <cwryu@debian.org>
 Build-Depends: debhelper (>= 9.0.0),
                libmagickwand-dev,
+               pypy,
                python-all (>= 2.6.6-3~),
-               python-sphinx (>= 1.0.7+dfsg)
+               python-setuptools,
+               python3-all (>= 3.2~),
+               python3-setuptools,
+               python-sphinx (>= 1.0.7+dfsg),
 Standards-Version: 3.9.4
 Homepage: https://github.com/dahlia/wand
-Vcs-Git: git://git.debian.org/git/users/cwryu/wand.git
-Vcs-Browser: http://git.debian.org/?p=users/cwryu/wand.git;a=summary
+Vcs-Git: git://anonscm.debian.org/users/cwryu/wand.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/cwryu/wand.git;a=summary
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
 
 Package: python-wand
 Architecture: all
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
          libmagickwand5,
-Provides: ${python:Provides}
 Suggests: wand-doc
-Description: Python interface for ImageMagick library
+Description: Python interface for ImageMagick library (Python 2 build)
  Wand is a ctypes-based simple ImageMagick binding for Python. It
  doesn't cover all functionalities of MagickWand API currently.
  .
  Wand provides Pythonic and modern interfaces, good documentation,
  binding through ctypes (which works on PyPy) and installation using
  pip or easy_install.
+ .
+ This module is built for Python version 2.x.
+
+
+Package: python3-wand
+Architecture: all
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends},
+         libmagickwand5,
+Suggests: wand-doc
+Description: Python interface for ImageMagick library (Python 3 build)
+ Wand is a ctypes-based simple ImageMagick binding for Python. It
+ doesn't cover all functionalities of MagickWand API currently.
+ .
+ Wand provides Pythonic and modern interfaces, good documentation,
+ binding through ctypes (which works on PyPy) and installation using
+ pip or easy_install.
+ .
+ This module is built for Python version 3.x.
+
+Package: pypy-wand
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends},
+         libmagickwand5,
+         pypy,
+Suggests: wand-doc
+Description: Python interface for ImageMagick library (PyPy build)
+ Wand is a ctypes-based simple ImageMagick binding for Python. It
+ doesn't cover all functionalities of MagickWand API currently.
+ .
+ Wand provides Pythonic and modern interfaces, good documentation,
+ binding through ctypes (which works on PyPy) and installation using
+ pip or easy_install.
+ .
+ This module is built for PyPy.
 
 Package: wand-doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

PYVERS := $(shell pyversions -r)
PY3VERS := $(shell py3versions -r)

%:
	dh $@  --with python2,python3

.PHONY: build_doc

override_dh_auto_build: build_doc
	# python2.x is expected to done in the auto build...
	for PYTHON in $(PY3VERS) pypy; do \
	  $$PYTHON setup.py build; \
	done
	dh_auto_build

override_dh_auto_install:
	# python2.x is expected to done in the auto install...
	for PYTHON in $(PY3VERS) pypy; do \
	  $$PYTHON setup.py install --skip-build --root debian/tmp \
	      --install-layout deb; \
	done
	dh_auto_install

override_dh_auto_clean: clean_doc
	dh_auto_clean

build_doc:
	$(MAKE) -C $(CURDIR)/docs devhelp

clean_doc:
	$(MAKE) -C $(CURDIR)/docs clean

## wand 0.3.5

=== debian/changelog ===
wand (0.3.5-1) unstable; urgency=low

  * New upstream release
  * Use pypy support from dh-python
  * No more need to link images in doc to save the size

 -- Changwoo Ryu <cwryu@debian.org>  Wed, 18 Sep 2013 05:59:53 +0900

wand (0.3.3-1) unstable; urgency=low

  * New upstream release

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 04 Aug 2013 19:49:30 +0900

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Changwoo Ryu <cwryu@debian.org>
 Build-Depends: debhelper (>= 9.0.0),
+               dh-python (>> 1.20130913),
                libmagickwand-dev,
                pypy,
                python-all (>= 2.6.6-3~),
@@ -50,9 +51,8 @@
 
 Package: pypy-wand
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends},
+Depends: ${pypy:Depends}, ${shlibs:Depends}, ${misc:Depends},
          libmagickwand5,
-         pypy,
 Suggests: wand-doc
 Description: Python interface for ImageMagick library (PyPy build)
  Wand is a ctypes-based simple ImageMagick binding for Python. It

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 PY3VERS := $(shell py3versions -r)
 
 %:
-	dh $@  --with python2,python3
+	dh $@  --with python2,python3,pypy
 
 .PHONY: build_doc
 
@@ -15,6 +15,7 @@
 	  $$PYTHON setup.py build; \
 	done
 	dh_auto_build
+	dh $@  --with python2,python3,pypy
 
 override_dh_auto_install:
 	# python2.x is expected to done in the auto install...
@@ -24,6 +25,8 @@
 	done
 	dh_auto_install
 
+.PHONY: build_doc clean_doc
+
 override_dh_auto_clean: clean_doc
 	dh_auto_clean

## wand 0.3.8

=== debian/changelog ===
wand (0.3.8-2) unstable; urgency=medium

  * Add optional dependency on libmagickwand-6.q16-2 (Closes: #761104)

 -- Changwoo Ryu <cwryu@debian.org>  Sat, 13 Sep 2014 04:02:44 +0900

wand (0.3.8-1) unstable; urgency=medium

  * New upstream release

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 03 Aug 2014 05:45:35 +0900

wand (0.3.7-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 3.9.5
  * Add flask-sphinx-themes; from the upstream git submodule

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 20 Jul 2014 07:03:22 +0900

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Maintainer: Changwoo Ryu <cwryu@debian.org>
 Build-Depends: debhelper (>= 9.0.0),
                dh-python (>> 1.20130913),
-               libmagickwand-dev,
                pypy,
                python-all (>= 2.6.6-3~),
                python-setuptools,
                python3-all (>= 3.2~),
                python3-setuptools,
                python-sphinx (>= 1.0.7+dfsg),
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/dahlia/wand
 Vcs-Git: git://anonscm.debian.org/users/cwryu/wand.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/cwryu/wand.git;a=summary
@@ -21,7 +20,7 @@
 Package: python-wand
 Architecture: all
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
-         libmagickwand5,
+         libmagickwand5 | libmagickwand-6.q16-2,
 Suggests: wand-doc
 Description: Python interface for ImageMagick library (Python 2 build)
  Wand is a ctypes-based simple ImageMagick binding for Python. It
@@ -37,7 +36,7 @@
 Package: python3-wand
 Architecture: all
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends},
-         libmagickwand5,
+         libmagickwand5 | libmagickwand-6.q16-2,
 Suggests: wand-doc
 Description: Python interface for ImageMagick library (Python 3 build)
  Wand is a ctypes-based simple ImageMagick binding for Python. It
@@ -52,7 +51,7 @@
 Package: pypy-wand
 Architecture: all
 Depends: ${pypy:Depends}, ${shlibs:Depends}, ${misc:Depends},
-         libmagickwand5,
+         libmagickwand5 | libmagickwand-6.q16-2,
 Suggests: wand-doc
 Description: Python interface for ImageMagick library (PyPy build)
  Wand is a ctypes-based simple ImageMagick binding for Python. It

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,6 @@
 	  $$PYTHON setup.py build; \
 	done
 	dh_auto_build
-	dh $@  --with python2,python3,pypy
 
 override_dh_auto_install:
 	# python2.x is expected to done in the auto install...

## wand 0.3.9

=== debian/changelog ===
wand (0.3.9-1) unstable; urgency=medium

  * New upstream release
  * Clean built files (Closes: #761464)
  * Install the upstream changelog file
  * Standards-Version: 3.9.6

 -- Changwoo Ryu <cwryu@debian.org>  Sat, 27 Dec 2014 21:55:39 +0900

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-all (>= 3.2~),
                python3-setuptools,
                python-sphinx (>= 1.0.7+dfsg),
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/dahlia/wand
 Vcs-Git: git://anonscm.debian.org/users/cwryu/wand.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/cwryu/wand.git;a=summary
@@ -35,7 +35,7 @@
 
 Package: python3-wand
 Architecture: all
-Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: ${python3:Depends}, ${misc:Depends},
          libmagickwand5 | libmagickwand-6.q16-2,
 Suggests: wand-doc
 Description: Python interface for ImageMagick library (Python 3 build)
@@ -50,7 +50,7 @@
 
 Package: pypy-wand
 Architecture: all
-Depends: ${pypy:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: ${pypy:Depends}, ${misc:Depends},
          libmagickwand5 | libmagickwand-6.q16-2,
 Suggests: wand-doc
 Description: Python interface for ImageMagick library (PyPy build)

=== debian/rules ===
--- 
+++ 
@@ -24,10 +24,15 @@
 	done
 	dh_auto_install
 
+override_dh_installchangelogs:
+	dh_installchangelogs $(CURDIR)/docs/changes.rst
+
 .PHONY: build_doc clean_doc
 
 override_dh_auto_clean: clean_doc
 	dh_auto_clean
+	rm -r -f $(CURDIR)/build
+	rm -r -f $(CURDIR)/*.egg-info
 
 build_doc:
 	$(MAKE) -C $(CURDIR)/docs devhelp

=== debian/watch ===
version=3
opts="uversionmangle=s/([a-z]+\d+)$/~\\1/" \
 https://github.com/dahlia/wand/tags .*/(\d[a\d\.]+)\.tar\.gz

## wand 0.4.4

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Wand.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Wand.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Wand"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Wand"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
wand (0.4.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update dependencies on libmagickwand from libmagickwand-6.q16-2 to
    libmagickwand-6.q16-3.  Closes: #850815

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 11 Jan 2017 10:15:07 +0100

wand (0.4.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Correct the Vcs-*: URI
  * Use pybuild
    - The testsuite is disabled for now; it fails on the ImageMagick 6.8.* or
      later

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 06 Nov 2016 18:02:18 +0900

wand (0.4.3-1) unstable; urgency=medium

  * New upstream release
  * Fix TypeError on ImageMagick 6.9.6.2 (Closes: #841548)
  * Standards-Version: 3.9.8
  * Fix lintian errors
    - debian/control: Use https protocol for Vcs-* fields
    - debian/copyright: Fix the copyright format
  * debian/gbp.conf: upstream-0.4 branch for upstream

 -- Changwoo Ryu <cwryu@debian.org>  Sat, 22 Oct 2016 18:59:14 +0900

=== debian/control ===
--- 
+++ 
@@ -10,17 +10,20 @@
                python3-all (>= 3.2~),
                python3-setuptools,
                python-sphinx (>= 1.0.7+dfsg),
-Standards-Version: 3.9.6
+               python-psutil,
+               python-memory-profiler,
+               python-pytest-xdist,
+Standards-Version: 3.9.8
 Homepage: https://github.com/dahlia/wand
-Vcs-Git: git://anonscm.debian.org/users/cwryu/wand.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/cwryu/wand.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/users/cwryu/wand.git/
+Vcs-Browser: https://anonscm.debian.org/git/users/cwryu/wand.git/
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 
 Package: python-wand
 Architecture: all
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
-         libmagickwand5 | libmagickwand-6.q16-2,
+         libmagickwand5 | libmagickwand-6.q16-3,
 Suggests: wand-doc
 Description: Python interface for ImageMagick library (Python 2 build)
  Wand is a ctypes-based simple ImageMagick binding for Python. It
@@ -36,7 +39,7 @@
 Package: python3-wand
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
-         libmagickwand5 | libmagickwand-6.q16-2,
+         libmagickwand5 | libmagickwand-6.q16-3,
 Suggests: wand-doc
 Description: Python interface for ImageMagick library (Python 3 build)
  Wand is a ctypes-based simple ImageMagick binding for Python. It
@@ -51,7 +54,7 @@
 Package: pypy-wand
 Architecture: all
 Depends: ${pypy:Depends}, ${misc:Depends},
-         libmagickwand5 | libmagickwand-6.q16-2,
+         libmagickwand5 | libmagickwand-6.q16-3,
 Suggests: wand-doc
 Description: Python interface for ImageMagick library (PyPy build)
  Wand is a ctypes-based simple ImageMagick binding for Python. It

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME=wand

%:
	dh $@ --buildsystem=pybuild --with python2,python3,pypy

.PHONY: build_doc clean_doc

override_dh_auto_build: build_doc
	dh_auto_build

override_dh_install:
	dh_install
	rm -f $(CURDIR)/debian/*/usr/README.rst
	rm -f $(CURDIR)/debian/*/usr/lib/*/README.rst

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/docs/changes.rst

override_dh_auto_clean: clean_doc
	dh_auto_clean

# The testsuite is disabled for now; it fails on the ImageMagick 6.8.* or
# later
override_dh_auto_test:
	#dh_auto_test

build_doc:
	$(MAKE) -C $(CURDIR)/docs devhelp

clean_doc:
	$(MAKE) -C $(CURDIR)/docs clean

## wand 0.5.0

=== DESCRIPTION ===
Package: wand
Type: Package
Title: Retrieve 'Magic' Attributes from Files and Directories
Version: 0.5.0
Date: 2019-07-06
Authors@R: c( person("Bob", "Rudis", email =
      "bob@rud.is", role = c("aut", "cre"), comment =
      c(ORCID = "0000-0001-5670-2640")) )
Maintainer: Bob Rudis <bob@rud.is>
Description: 'MIME' types are shorthand descriptors for
      file contents and can be determined from "magic"
      bytes in file headers, file contents or intuited
      from file extensions. Tools are provided to
      perform curated "magic" tests as well as mapping
      'MIME' types from a database of over 1,500
      extension mappings.
URL: http://gitlab.com/hrbrmstr/wand
BugReports: https://gitlab.com/hrbrmstr/wand/issues
Encoding: UTF-8
License: MIT + file LICENSE
Suggests: covr, tinytest
Imports: tools
Depends: R (>= 3.2.0)
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2019-07-08 18:28:20 UTC; hrbrmstr
Author: Bob Rudis [aut, cre] (<https://orcid.org/0000-0001-5670-2640>)
Repository: CRAN
Date/Publication: 2019-07-08 18:50:10 UTC

## wand 0.5.5

=== debian/changelog ===
wand (0.5.5-1) unstable; urgency=medium

  [ Changwoo Ryu ]
  * New upstream version
    - Supports libmagickwand-6.q16hdri-6
  * debian/salsa-ci.yml: Add Salsa CI

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

 -- Changwoo Ryu <cwryu@debian.org>  Fri, 19 Jul 2019 23:48:09 -0300

wand (0.4.4-3) unstable; urgency=medium

  * Fix lib name typo; libmagickcore -> libmagickwand (Closes: #904921)
  * Remove Build-Depends packages for testsuite
  * Standards-Version: 4.1.5

 -- Changwoo Ryu <cwryu@debian.org>  Tue, 31 Jul 2018 12:16:01 +0800

wand (0.4.4-2) unstable; urgency=medium

  * Update dependencies on libmagicwand to libmagickwand-6.q16-6 (Closes:
    #904012)
  * Use salsa.d.o for Vcs-*.
  * Depends on python3-sphinx instead of python-sphinx.
  * Remove X-Python-Version: >= 2.6 and X-Python3-Version: >= 3.2, which
    are satisfied by Debian oldstable and not needed anymore.

 -- Changwoo Ryu <cwryu@debian.org>  Thu, 26 Jul 2018 18:30:30 +0800

wand (0.4.4-1.3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Michal Arbet ]
  * Add fix-ensure-sequence-is-allocated.patch (Closes: #903908)

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 16 Jul 2018 13:47:50 +0100

wand (0.4.4-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Dmitry Shachnev ]
  * Use dh-sphinxdoc instead of broken hardcoded linking (Closes: #857510).

  [ Changwoo Ryu ]
  * Drop devhelp

  [ HIGUCHI Daisuke (VDR dai) ]
  * Update dependencies on libmagickwand from libmagickwand-6.q16-3 to
    libmagickwand-6.q16-5.  Closes: #890956

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 28 Mar 2018 22:05:08 +0900

=== debian/control ===
--- 
+++ 
@@ -9,21 +9,16 @@
                python-setuptools,
                python3-all (>= 3.2~),
                python3-setuptools,
-               python-sphinx (>= 1.0.7+dfsg),
-               python-psutil,
-               python-memory-profiler,
-               python-pytest-xdist,
-Standards-Version: 3.9.8
-Homepage: https://github.com/dahlia/wand
-Vcs-Git: https://anonscm.debian.org/git/users/cwryu/wand.git/
-Vcs-Browser: https://anonscm.debian.org/git/users/cwryu/wand.git/
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
+               python3-sphinx (>= 1.0.7+dfsg),
+Standards-Version: 4.4.0
+Homepage: https://github.com/emcconville/wand
+Vcs-Git: https://salsa.debian.org/debian/wand.git
+Vcs-Browser: https://salsa.debian.org/debian/wand
 
 Package: python-wand
 Architecture: all
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
-         libmagickwand5 | libmagickwand-6.q16-3,
+         libmagickwand-6.q16-6 | libmagickwand-6.q16hdri-6
 Suggests: wand-doc
 Description: Python interface for ImageMagick library (Python 2 build)
  Wand is a ctypes-based simple ImageMagick binding for Python. It
@@ -39,7 +34,7 @@
 Package: python3-wand
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
-         libmagickwand5 | libmagickwand-6.q16-3,
+         libmagickwand-6.q16-6 | libmagickwand-6.q16hdri-6
 Suggests: wand-doc
 Description: Python interface for ImageMagick library (Python 3 build)
  Wand is a ctypes-based simple ImageMagick binding for Python. It
@@ -54,7 +49,7 @@
 Package: pypy-wand
 Architecture: all
 Depends: ${pypy:Depends}, ${misc:Depends},
-         libmagickwand5 | libmagickwand-6.q16-3,
+         libmagickwand-6.q16-6 | libmagickwand-6.q16hdri-6
 Suggests: wand-doc
 Description: Python interface for ImageMagick library (PyPy build)
  Wand is a ctypes-based simple ImageMagick binding for Python. It
@@ -70,8 +65,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends},
-         libjs-sphinxdoc,
-Suggests: python-wand
+	 ${sphinxdoc:Depends},
 Description: Python interface for ImageMagick library - documentation
  Wand is a ctypes-based simple ImageMagick binding for Python. It
  doesn't cover all functionalities of MagickWand API currently.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/wand-$1\.tar\.gz/ \
 https://github.com/emcconville/wand/releases .*/v?(\d[\d.]*)\.(?:tar\.gz|tar\.bz2|tar\.xz)

## wand 0.5.8

=== debian/changelog ===
wand (0.5.8-1) unstable; urgency=medium

  * New upstream version 0.5.8
  * Add lintian-overrides for empty folder, docs/_themes/*
  * Set myself as maintainer closes: #934012
  * Add autopkgtest-pkg-python
  * Change how testsuite is being disabled

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Mon, 16 Dec 2019 22:09:33 +0100

wand (0.5.7-2) unstable; urgency=medium

  * QA upload.
  * Added patch linux-distro.patch. Closes: 944527
    - Thanks to Matthias Klose for patch.
  * Added python3-distro as dependency.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Mon, 11 Nov 2019 16:38:32 +0100

wand (0.5.7-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Update d/watch to version 4
  * Clean gbp.conf
  * Update to debhelper-compat and removed d/compat
  * Update dh-helper to 12
  * Fix MathJax replacement.
  * Added patch to prevent fetching data at runtime.
  * Added Rules-Requires-Root: no, to d/control.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Fri, 08 Nov 2019 16:27:43 +0100

wand (0.5.5-2) unstable; urgency=medium

  * QA upload.
  * Drop python2 support; Closes: #938808
  * Update Maintainer to QA
  * Bump Standards-Version to 4.4.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Thu, 24 Oct 2019 20:02:52 -0400

=== debian/control ===
--- 
+++ 
@@ -1,39 +1,24 @@
 Source: wand
 Section: python
 Priority: optional
-Maintainer: Changwoo Ryu <cwryu@debian.org>
-Build-Depends: debhelper (>= 9.0.0),
+Maintainer: Håvard Flaget Aasen <haavard_aasen@yahoo.no>
+Build-Depends: debhelper-compat (=12),
                dh-python (>> 1.20130913),
                pypy,
-               python-all (>= 2.6.6-3~),
-               python-setuptools,
                python3-all (>= 3.2~),
                python3-setuptools,
                python3-sphinx (>= 1.0.7+dfsg),
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/emcconville/wand
 Vcs-Git: https://salsa.debian.org/debian/wand.git
 Vcs-Browser: https://salsa.debian.org/debian/wand
 
-Package: python-wand
-Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
-         libmagickwand-6.q16-6 | libmagickwand-6.q16hdri-6
-Suggests: wand-doc
-Description: Python interface for ImageMagick library (Python 2 build)
- Wand is a ctypes-based simple ImageMagick binding for Python. It
- doesn't cover all functionalities of MagickWand API currently.
- .
- Wand provides Pythonic and modern interfaces, good documentation,
- binding through ctypes (which works on PyPy) and installation using
- pip or easy_install.
- .
- This module is built for Python version 2.x.
-
-
 Package: python3-wand
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
+         python3-distro,
          libmagickwand-6.q16-6 | libmagickwand-6.q16hdri-6
 Suggests: wand-doc
 Description: Python interface for ImageMagick library (Python 3 build)

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=wand
# Testsuite is disabled, libmagickwand-dev 6.8 and higher
# as build-dependency breaks reprotest in salsa.
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild --with python3,pypy,sphinxdoc

.PHONY: build_doc clean_doc

override_dh_auto_build: build_doc
	dh_auto_build

override_dh_install:
	dh_install
	rm -f $(CURDIR)/debian/*/usr/README.rst
	rm -f $(CURDIR)/debian/*/usr/lib/*/README.rst

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/docs/changes.rst

override_dh_auto_clean: clean_doc
	dh_auto_clean

build_doc:
	$(MAKE) -C $(CURDIR)/docs html
	find $(CURDIR)/docs/_build/html -mindepth 2 -maxdepth 2 -type f | xargs sed -i 's;https://cdnjs.*HTMLorMML;../_static/mathjax.js;g'
	find $(CURDIR)/docs/_build/html -maxdepth 1 -type f | xargs sed -i 's;https://cdnjs.*HTMLorMML;_static/mathjax.js;g'

clean_doc:
	$(MAKE) -C $(CURDIR)/docs clean

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/wand-$1\.tar\.gz/ \
  https://github.com/emcconville/wand/tags .*/v?(\d\S+)\.tar\.gz

## wand 0.5.9

=== debian/changelog ===
wand (0.5.9-1) unstable; urgency=medium

  * New upstream version 0.5.9
  * Update Standards-Version to 4.5.0
  * Set upstream metadata fields: Bug-Database, Repository,
    Repository-Browse.
  * Remove linux-distro.patch. Fixed upstream
  * Remove unnecessary version control on build-dependencies.
  * Remove python3-distro from runtime-dependencies.
  * Simplify dh_auto_clean and dh_auto_build target in d/rules
  * d/copyright update year and add Upstream-Contact
  * Add upstream testsuite as autopkgtest.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Mon, 17 Feb 2020 12:42:10 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Håvard Flaget Aasen <haavard_aasen@yahoo.no>
 Build-Depends: debhelper-compat (=12),
-               dh-python (>> 1.20130913),
+               dh-python,
                pypy,
-               python3-all (>= 3.2~),
+               python3-all,
                python3-setuptools,
-               python3-sphinx (>= 1.0.7+dfsg),
-Standards-Version: 4.4.1
+               python3-sphinx
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/emcconville/wand
@@ -18,7 +18,6 @@
 Package: python3-wand
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
-         python3-distro,
          libmagickwand-6.q16-6 | libmagickwand-6.q16hdri-6
 Suggests: wand-doc
 Description: Python interface for ImageMagick library (Python 3 build)

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=wand
# Testsuite is disabled, libmagickwand-dev 6.8 and higher
# as build-dependency breaks reprotest in salsa.
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild --with python3,pypy,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C $(CURDIR)/docs html
	find $(CURDIR)/docs/_build/html -mindepth 2 -maxdepth 2 -type f | xargs sed -i 's;https://cdnjs.*HTMLorMML;../_static/mathjax.js;g'
	find $(CURDIR)/docs/_build/html -maxdepth 1 -type f | xargs sed -i 's;https://cdnjs.*HTMLorMML;_static/mathjax.js;g'

override_dh_install:
	dh_install
	rm -f $(CURDIR)/debian/*/usr/README.rst
	rm -f $(CURDIR)/debian/*/usr/lib/*/README.rst

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/docs/changes.rst

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C $(CURDIR)/docs clean

=== debian/tests/control ===
Tests: upstream
Depends: python3-wand, python3-pytest, python3-pytest-xdist, libmagickwand-dev

## wand 0.6.1

=== debian/changelog ===
wand (0.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Enable testsuite for python3 Closes: #761325
  * Update package description
  * Bump debhelper to 13
  * Clean-up in d/rules
  * Mark doc package as Multi-Arch: foreign
  * Add libjs-mathjax as runtime-dependency for doc package

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Wed, 20 May 2020 17:40:01 +0200

wand (0.5.9-2) unstable; urgency=medium

  * Minor tweak for autopkgtest. closes: #954483
    - Update dependencies
    - Change to test supported Python3 versions
  * Add libmagickcore-6.q16-6-extra as Suggests in d/control

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sat, 21 Mar 2020 19:11:45 +0100

=== debian/control ===
Source: wand
Section: python
Priority: optional
Maintainer: Håvard Flaget Aasen <haavard_aasen@yahoo.no>
Build-Depends: debhelper-compat (=13),
               dh-python,
               libmagickcore-6.q16-6-extra,
               libmagickwand-6.q16-6,
               pypy,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.5.0
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/emcconville/wand
Vcs-Git: https://salsa.debian.org/debian/wand.git
Vcs-Browser: https://salsa.debian.org/debian/wand

Package: python3-wand
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
         libmagickwand-6.q16-6 | libmagickwand-6.q16hdri-6
Suggests: wand-doc,
          libmagickcore-6.q16-6-extra
Description: Python interface for ImageMagick library (Python 3)
 Wand is a ctypes-based simple ImageMagick binding for Python. All
 functionalities of MagickWand API are implemented in Wand.
 .
 Wand provides Pythonic and modern interfaces, good documentation and
 binding through ctypes (which works on PyPy)
 .
 This module is built for Python 3.

Package: pypy-wand
Architecture: all
Depends: ${pypy:Depends}, ${misc:Depends},
         libmagickwand-6.q16-6 | libmagickwand-6.q16hdri-6
Suggests: wand-doc,
          libmagickcore-6.q16-6-extra
Description: Python interface for ImageMagick library (PyPy)
 Wand is a ctypes-based simple ImageMagick binding for Python. All
 functionalities of MagickWand API are implemented in Wand.
 .
 Wand provides Pythonic and modern interfaces, good documentation and
 binding through ctypes (which works on PyPy)
 .
 This module is built for PyPy.

Package: wand-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax,
Description: Python interface for ImageMagick library (documentation)
 Wand is a ctypes-based simple ImageMagick binding for Python. All
 functionalities of MagickWand API are implemented in Wand.
 .
 Wand provides Pythonic and modern interfaces, good documentation and
 binding through ctypes (which works on PyPy)
 .
 This package includes documentation for Wand.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=wand

export PYBUILD_TEST_ARGS=-k-pdf
export PYBUILD_DISABLE_pypy=test

%:
	dh $@ --buildsystem=pybuild --with python3,pypy,sphinxdoc

execute_after_dh_auto_build:
	$(MAKE) -C $(CURDIR)/docs html
	find $(CURDIR)/docs/_build/html -mindepth 2 -maxdepth 2 -type f | xargs sed -i 's;https://cdnjs.*HTMLorMML;../_static/mathjax.js;g'
	find $(CURDIR)/docs/_build/html -maxdepth 1 -type f | xargs sed -i 's;https://cdnjs.*HTMLorMML;_static/mathjax.js;g'

execute_after_dh_auto_clean:
	$(MAKE) -C $(CURDIR)/docs clean

## wand 0.6.5

=== debian/changelog ===
wand (0.6.5-1) unstable; urgency=medium

  * New upstream version 0.6.5
  * d/source/options: Exclude *.egg-info files
  * d/rules, autopkgtest: Change arguments for pytest regarding
    the '-k' flag Closes: #977100

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sat, 02 Jan 2021 22:27:31 +0100

wand (0.6.4-1) unstable; urgency=medium

  * New upstream version 0.6.4
    - Fixes test failure on s390x LP: #1904899
  * d/control: Update Standards-Version to 4.5.1
  * d/rules: Test gaussian_blur on all archs.
  * autopkgtest: Skip test_limits

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Thu, 26 Nov 2020 16:19:43 +0100

wand (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3
  * Rebase patches
  * d/salsa-ci.yml: Disable kernel variation in reprotest
  * Build-Profiles: Add nocheck
  * d/rules: Disable two tests for armhf and i386,
    needed for reproducible builds

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Wed, 23 Sep 2020 08:52:10 +0200

wand (0.6.2-1) unstable; urgency=medium

  * New upstream version 0.6.2
  * Disable failing test Closes: #966982
    Broken test, not broken package.
  * Add 'nodoc' as Build-Profile
  * Set upstream metadata fields: Bug-Submit.
  * Update salsa CI
    - Watch all variations of reprotest.
  * Use spaces rather than tabs in d/copyright
  * Rebase patches
  * flask sphinx theme is now in the upstream repository
    - Remove patch and lintian-override

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Thu, 03 Sep 2020 10:46:40 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Håvard Flaget Aasen <haavard_aasen@yahoo.no>
 Build-Depends: debhelper-compat (=13),
                dh-python,
-               libmagickcore-6.q16-6-extra,
-               libmagickwand-6.q16-6,
+               libmagickcore-6.q16-6-extra <!nodoc> <!nocheck>,
+               libmagickwand-6.q16-6 <!nodoc> <!nocheck>,
                pypy,
                python3-all,
-               python3-pytest,
+               python3-pytest <!nocheck>,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/emcconville/wand
@@ -51,6 +51,7 @@
 Package: wand-doc
 Architecture: all
 Multi-Arch: foreign
+Build-Profiles: <!nodoc>
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

#export DH_VERBOSE=1
export PYBUILD_NAME=wand

export PYBUILD_TEST_ARGS='-k not pdf and not test_artifacts'
export PYBUILD_DISABLE_pypy=test

# Disable tests in i386 and armhf to prevent FTBFS with reproducible builds
ifneq (,$(filter $(HOST_ARCH),armhf i386))
	export PYBUILD_TEST_ARGS='-k not pdf and not test_artifacts and not test_limits'
endif

%:
	dh $@ --buildsystem=pybuild --with python3,pypy,sphinxdoc

execute_after_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C $(CURDIR)/docs html
	find $(CURDIR)/docs/_build/html -mindepth 2 -maxdepth 2 -type f | xargs sed -i 's;https://cdnjs.*HTMLorMML;../_static/mathjax.js;g'
	find $(CURDIR)/docs/_build/html -maxdepth 1 -type f | xargs sed -i 's;https://cdnjs.*HTMLorMML;_static/mathjax.js;g'
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
	dh_auto_test
endif

execute_after_dh_auto_clean:
	$(MAKE) -C $(CURDIR)/docs clean

=== debian/tests/control ===
Tests: upstream
Depends: python3-all,
         python3-wand,
         python3-pytest,
         libmagickwand-6.q16-6,
         libmagickcore-6.q16-6-extra

## wand 0.6.7

=== debian/changelog ===
wand (0.6.7-1) unstable; urgency=medium

  * New upstream version 0.6.7
  * Rebase patch
  * d/control: Update Standards-Version to 4.6.0
  * Re-enable all tests.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Thu, 19 Aug 2021 09:11:05 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/emcconville/wand

=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,8 @@
 #!/usr/bin/make -f
-
-HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 #export DH_VERBOSE=1
 export PYBUILD_NAME=wand
-
-export PYBUILD_TEST_ARGS='-k not pdf and not test_artifacts'
 export PYBUILD_DISABLE_pypy=test
-
-# Disable tests in i386 and armhf to prevent FTBFS with reproducible builds
-ifneq (,$(filter $(HOST_ARCH),armhf i386))
-	export PYBUILD_TEST_ARGS='-k not pdf and not test_artifacts and not test_limits'
-endif
 
 %:
 	dh $@ --buildsystem=pybuild --with python3,pypy,sphinxdoc

## wand 0.6.9

=== debian/changelog ===
wand (0.6.9-1) unstable; urgency=medium

  * New upstream release.
  * autopkgtest:
    - Remove libmagickwand-6.q16-6.
    - Remove autodep8 test.
  * Remove libmagickcore-6.q16-6-extra as dependency.
  * Remove 'nocheck' build-profile.
  * Patches:
    - Drop Raise-WandRuntimeError-when-IM-doesn-t-emit-exception-582.patch and
      Fixed-583-Support-strided-numpy-arrays.patch, included upstream.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sun, 07 Aug 2022 12:13:49 +0200

wand (0.6.8-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.
  * Update Standards-Version to 4.6.1
  * wrap-and-sort -at
  * Update maintainer name and email.
  * d/copyright: Add myself under Debian paragraph.
  * Fix privacy breach with math formulas. We're generating images with latex
    during build, to prevent loading of JavaScript, when viewing in browser.
    - Add doc-privacy-breach.patch
    - Add dvipng and texlive-latex-extra as BD.
  * Add upstream patches.
    - Fixed-583-Support-strided-numpy-arrays.patch
    - Raise-WandRuntimeError-when-IM-doesn-t-emit-exception-582.patch

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Tue, 19 Jul 2022 23:22:45 +0200

=== debian/control ===
Source: wand
Section: python
Priority: optional
Maintainer: Håvard F. Aasen <havard.f.aasen@pfft.no>
Build-Depends: debhelper-compat (=13),
               dh-python,
               dvipng <!nodoc>,
               libmagickwand-6.q16-6 <!nodoc>,
               pypy,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
               texlive-latex-extra <!nodoc>,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/emcconville/wand
Vcs-Git: https://salsa.debian.org/debian/wand.git
Vcs-Browser: https://salsa.debian.org/debian/wand

Package: python3-wand
Architecture: all
Depends: libmagickwand-6.q16-6 | libmagickwand-6.q16hdri-6,
         ${misc:Depends},
         ${python3:Depends},
Suggests: libmagickcore-6.q16-6-extra,
          wand-doc,
Description: Python interface for ImageMagick library (Python 3)
 Wand is a ctypes-based simple ImageMagick binding for Python. All
 functionalities of MagickWand API are implemented in Wand.
 .
 Wand provides Pythonic and modern interfaces, good documentation and
 binding through ctypes (which works on PyPy)
 .
 This module is built for Python 3.

Package: pypy-wand
Architecture: all
Depends: libmagickwand-6.q16-6 | libmagickwand-6.q16hdri-6,
         ${misc:Depends},
         ${pypy:Depends},
Suggests: libmagickcore-6.q16-6-extra,
          wand-doc,
Description: Python interface for ImageMagick library (PyPy)
 Wand is a ctypes-based simple ImageMagick binding for Python. All
 functionalities of MagickWand API are implemented in Wand.
 .
 Wand provides Pythonic and modern interfaces, good documentation and
 binding through ctypes (which works on PyPy)
 .
 This module is built for PyPy.

Package: wand-doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Section: doc
Depends: libjs-mathjax,
         ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Python interface for ImageMagick library (documentation)
 Wand is a ctypes-based simple ImageMagick binding for Python. All
 functionalities of MagickWand API are implemented in Wand.
 .
 Wand provides Pythonic and modern interfaces, good documentation and
 binding through ctypes (which works on PyPy)
 .
 This package includes documentation for Wand.

=== debian/rules ===
--- 
+++ 
@@ -14,10 +14,5 @@
 	find $(CURDIR)/docs/_build/html -maxdepth 1 -type f | xargs sed -i 's;https://cdnjs.*HTMLorMML;_static/mathjax.js;g'
 endif
 
-override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
-	dh_auto_test
-endif
-
 execute_after_dh_auto_clean:
 	$(MAKE) -C $(CURDIR)/docs clean
